import React from 'react'
import DatePicker, {
  ReactDatePickerProps,
  registerLocale,
} from 'react-datepicker'

import 'react-datepicker/dist/react-datepicker.css'
import { useTranslation } from 'react-i18next'

import nb from 'date-fns/locale/nb'
import nn from 'date-fns/locale/nn'

registerLocale('nb', nb)
registerLocale('nn', nn)
// CSS Modules, react-datepicker-cssmodules.css
// import 'react-datepicker/dist/react-datepicker-cssmodules.css';

const DateInput = (props: ReactDatePickerProps) => {
  const { i18n } = useTranslation()

  return (
    <DatePicker dateFormat="yyyy-MM-dd" locale={i18n.language} {...props} />
  )
}

export default DateInput
