import React from 'react'
import { useTranslation } from 'react-i18next'
import DropDown from '../dropdownmenu'


function LanguageSelector() {
  const { i18n, t } = useTranslation('common')

  const options = [
    {
      name: 'English',
      value: 'en',
    },
    {
      name: 'Norsk nynorsk',
      value: 'nn',
    },
    {
      name: 'Norsk bokmål',
      value: 'nb',
    },
  ]


  return (
    <DropDown options={options}
              placeholder={t('header.selectLanguage')}
              value={options[2]}
              onChange={newValue => {
                i18n.changeLanguage(newValue)
              }
              }
    />
  )
}


export default LanguageSelector
