import React from 'react'
import styled from 'styled-components/macro'

import { useTranslation } from 'react-i18next'


const LogoBarWrapper = styled.div`
  display: flex;
  justify-content: center;
  background-color: ${({ theme }) => theme.page.headerBackgroundColor};
`

type Language = {
  language: string
}

const Logo = styled.div<Language>`
  background: ${props => props.language === 'en' ? 'url("/uio/uio-app-logo-en.png") left center no-repeat' : 'url("/uio/uio-app-logo-nb.png") left center no-repeat'};
  min-width: 20rem;
  height: 2rem;
`

function UiOLogoBar() {
  const { i18n } = useTranslation(['common', 'footer'])

  return (
    <LogoBarWrapper>
      <Logo language={i18n.language} />
    </LogoBarWrapper>
  )
}

export default UiOLogoBar
