import React, { Suspense } from 'react'
import ReactDOM from 'react-dom'
import { ThemeProvider } from 'styled-components/macro'
import { BrowserRouter as Router } from 'react-router-dom'

import 'i18n'

import getTheme from 'themes'
import GlobalStyle from 'globalStyles'
import App from 'routes'
import Loading from 'components/loading'
import reportWebVitals from './reportWebVitals'

function appRoot() {
  return (
    <React.StrictMode>
      <Router>
        <GlobalStyle />
        <Suspense fallback={<Loading />}>
          <ThemeProvider theme={getTheme()}>
            <App />
          </ThemeProvider>
        </Suspense>
      </Router>
    </React.StrictMode>
  )
}

ReactDOM.render(React.createElement(appRoot), document.getElementById('root'))

// If you want to start measuring performance in your app, pass a function
// to log results (for example: reportWebVitals(console.log))
// or send to an analytics endpoint. Learn more: https://bit.ly/CRA-vitals
reportWebVitals()
