import pytest

from rest_framework import status
from rest_framework.reverse import reverse


@pytest.mark.django_db
def test_register_guest(client):
    data = {"first_name": "Foo", "last_name": "Bar", "date_of_birth": "2020-09-21"}
    url = reverse("gregui-v1:guest-register")
    response = client.post(url, data)
    assert response.status_code == status.HTTP_201_CREATED
    assert response.json() == {"id": 1, **data}
